### Method

# Gtk AlertDialog choose_finish

unstable since: 4.10

#### Declaration [src]

    int
    gtk_alert_dialog_choose_finish (
      GtkAlertDialog* self,
      GAsyncResult* result
    )

#### Description [src]

Finishes the `gtk_alert_dialog_choose()` call and returns the index of the button that was clicked.

Available since: 4.10

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`

  The data is owned by the caller of the function.

#### Return value

Type: `int`

The index of the button that was clicked, or -1 if the dialog was cancelled and ``GtkAlertDialog:cancel-button` is not set.